import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class ItemwiseStrategyBasedIndicator extends StrategyBasedIndicator {
    static $t: Type;
    ab7: ItemwiseIndicatorCalculationStrategy;
    abstract get ab8(): ItemwiseIndicatorCalculationStrategy;
    protected get_abm(): IndicatorCalculationStrategy;
    protected get abm(): IndicatorCalculationStrategy;
    ab9(): boolean;
    constructor();
    protected ab0(): void;
}
